Bug 196949 - Ordering by thread is really slow (regression)
Summary: Ordering by thread is really slow (regression)
Status: RESOLVED WORKSFORME
Alias: None
Product: kmail2
Classification: Applications
Component: message list (show other bugs)
Version: 4.14.4
Platform: unspecified Linux
: NOR normal with 80 votes (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords: triaged
Depends on:
Blocks:
 
Reported: 2009-06-18 00:36 UTC by Iñaki Baz Castillo
Modified: 2018-10-28 03:42 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Iñaki Baz Castillo 2009-06-18 00:36:53 UTC
Version:           1.11.90 (using 4.2.90 (KDE 4.2.90 (KDE 4.3 Beta2)), Kubuntu packages)
Compiler:          cc
OS:                Linux (x86_64) release 2.6.28-11-generic

Kmail has a new feature to order mails by groups. This is very slow but it's supposed to be improved soon.

But ordering by threads and having all the threads always open has been always present and it worked really well in KDE 3.X and KDE 4 (before the feature "groups" was introduced). I wonder why of this regression.

My inbox has 12000 messages. Before the new "groups" feature it was quicky displayed (ordered by threads and displaying opened all the threads). But now, when I click the inbox folder it takes 15 seconds to order the mails by threads. It seems that now there is no a cache system or whatever before did exist. And the worst, it occurs every time I press in a folder, even if I've pressed it 30 seconds ago.

I hope this issue to be fixed since it makes Kmail unusable for people with lots of mails wishing to have the threads always opened.
Comment 1 Iñaki Baz Castillo 2009-09-19 18:19:30 UTC
Any comment about this report please?
Can it be at least confirmed?
It makes Kmail unsuitable for me (after being 6 years using it with no problem).
Comment 2 Iñaki Baz Castillo 2009-09-20 12:06:08 UTC
To test the issue it's required a folder with ~ 3000 messages.
Comment 3 Bernd Paysan 2009-11-08 22:33:54 UTC
I can confirm this bug - my private inbox has about 10k messages in it (starting in 1996, when I installed Linux first on my PC).  I've a quad-core 2.5GHz Phenom with 4GB RAM (so not something slow), and it takes 20 seconds to thread this inbox.  It takes 10 seconds to thread another inbox with about 5k messages (that's the collected mails for a single project at work), so the time it takes is linear.  I think this is unbelievable slow, 5 million cycles per mail to thread.

Kmail is sort of usable with the tabs - I've now opened up all my big mailboxes in a tab, and switch between them.  But I agree that this is a severe regression.
Comment 4 Anssi Hannula 2009-12-29 18:37:39 UTC
*** This bug has been confirmed by popular vote. ***
Comment 5 Björn Ruberg 2010-04-02 12:54:09 UTC
In bug #131507 it is said that the slowdown may have to do with expanding unread mails in threads. Can you call say whether you have many unread mails in the folders? And if so, does marking them as read improve the situation?
Comment 6 Iñaki Baz Castillo 2010-04-02 15:37:13 UTC
(In reply to comment #5)
> In bug #131507 it is said that the slowdown may have to do with expanding
> unread mails in threads. Can you call say whether you have many unread mails in
> the folders? And if so, does marking them as read improve the situation?

This is not my problema at all. I've no unread mails in most of my folders.
Comment 7 Laurent Montel 2015-04-12 09:45:57 UTC
Thank you for taking the time to file a bug report.

KMail2 was released in 2011, and the entire code base went through significant changes. We are currently in the process of porting to Qt5 and KF5. It is unlikely that these bugs are still valid in KMail2.

We welcome you to try out KMail 2 with the KDE 4.14 release and give your feedback.
Comment 8 Bernd Paysan 2015-04-12 22:21:19 UTC
I still have problems with larger mdirs containing in the order of 10k entries; still in 4.14.6.  Kmail becomes unusable slow.  It doesn't seem to be sorting any longer, but you really should have a big mailbox to check how well it's doing.

The general problem of larger inboxes still isn't solved.
Comment 9 Myriam Schweingruber 2015-04-13 09:41:15 UTC
Confirmed: as of 4.14.2, it still takes ages to open with a large inbox, and filtering mail is still quasi impossible, using a Core i7  with 8GB RAM :(
Comment 10 Denis Kurz 2017-06-23 20:04:29 UTC
This bug has never been confirmed for a KDE PIM version that is based on KDE Frameworks (5.x). Those versions differ significantly from the old 4.x series. Therefore, I plan to close it in around two or three months. In the meantime, it is set to WAITINGFORINFO to give reporters the oportunity to check if it is still valid. As soon as someone confirms it for a recent version (at least 5.1, ideally even more recent), I'll gladly reopen it.

Please understand that we lack the manpower to triage bugs reported for versions almost two years beyond their end of life.
Comment 11 Bernd Paysan 2017-06-23 20:42:08 UTC
I can't confirm this problem on KMail2 5.5.2. Granted, a heavily threaded ~4k message folder does load slower than a flat one with the same number of messages, but not the "unusable slow" kind of slower.

I suggest some more benchmarks before I would close that bug, but at least it's nowhere in the annoying range of 4.x.
Comment 12 Andrew Crouthamel 2018-09-28 02:38:36 UTC
Dear Bug Submitter,

This bug has been in NEEDSINFO status with no change for at least 15 days. Please provide the requested information as soon as possible and set the bug status as REPORTED. Due to regular bug tracker maintenance, if the bug is still in NEEDSINFO status with no change in 30 days, the bug will be closed as RESOLVED > WORKSFORME due to lack of needed information.

For more information about our bug triaging procedures please read the wiki located here: https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

If you have already provided the requested information, please set the bug status as REPORTED so that the KDE team knows that the bug is ready to be confirmed.

Thank you for helping us make KDE software even better for everyone!
Comment 13 Andrew Crouthamel 2018-10-28 03:42:02 UTC
Dear Bug Submitter,

This bug has been in NEEDSINFO status with no change for at least 30 days. The bug is now closed as RESOLVED > WORKSFORME due to lack of needed information.

For more information about our bug triaging procedures please read the wiki located here: https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

Thank you for helping us make KDE software even better for everyone!